Subject: Re: [Trans] Relaxed X.509 validation rules

From: Ben Laurie <[email-masked]>
Date: Mon, 7 Jul 2014 17:27:56 +0100

On 2 June 2014 17:08, Erwann Abalea <[email-masked]> wrote:
> Bonjour,
>
> For security reasons, our online CAs have a critical BC extension with
> pathLenConstraint set to 0.
> For security+compliance reasons (RFC5280/X.509), our CA system doesn't allow
> for duplicate serial numbers under a CA, so we're going to issue a
> "Precertificate Signing Certificate" under our different issuing CAs for
> precertificate generation.
>
> Of course, a compliant X.509 third party MUST fail to validate the
> precertificate (because of the pathLenConstraint=0 issuing something that
> acts as a CA without being declared as is).

It must also fail to validate because of the critical poison extension.

> How will this case be handled by log servers? RFC6962 in section 3.1 states
> that "the log may relax standard validation rules to allow this, so long as
> the issued certificate will be valid", without any detail on relaxed rules.
>
> Will it be mandatory to re-issue pathLenConstraint=1 CA certificates and
> relax our security rules?

No. We have a ticket open to make it clearer what "relaxed validation"
looks like, but certainly we recognise that we should not enforce path
length constraints. As I mentioned earlier, validation is mostly an
anti-spam measure, so I don't think its smart to lock down too exactly
what rules should and should not be applied, but it is nice to hear
about specific exceptions that clearly have to be made.